com.creamtec.ajaxswing.core

## Class JVMFactory_Stub

- java.lang.Object
- - java.rmi.server.RemoteObject
  - - java.rmi.server.RemoteStub
    - - com.creamtec.ajaxswing.core.JVMFactory_Stub

- All Implemented Interfaces:
    JVMFactoryRemote, java.io.Serializable, java.rmi.Remote

      public final class JVMFactory_Stub
      extends java.rmi.server.RemoteStub
      implements JVMFactoryRemote, java.rmi.Remote

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JVMFactory_Stub()`
    `JVMFactory_Stub(java.rmi.server.RemoteRef ref)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `ping()` Used by JVMProcesses to check if the server is still running
    `void` | `registerJVM(java.lang.String $param_String_1, JVMProcessRemote $param_JVMProcessRemote_2)` Registers external JVM with the factory.

    - ### Methods inherited from class java.rmi.server.RemoteObject

      `equals, getRef, hashCode, toString, toStub`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JVMFactory_Stub

          public JVMFactory_Stub()

    - #### JVMFactory_Stub

          public JVMFactory_Stub(java.rmi.server.RemoteRef ref)

  - ### Method Detail

    - #### ping

          public void ping()
                    throws java.rmi.RemoteException

      Description copied from interface: `JVMFactoryRemote`
      Used by JVMProcesses to check if the server is still running
      Specified by:
        `ping` in interface `JVMFactoryRemote`
      Throws:
        `java.rmi.RemoteException`

    - #### registerJVM

          public void registerJVM(java.lang.String $param_String_1,
                         JVMProcessRemote $param_JVMProcessRemote_2)
                           throws java.lang.Exception

      Description copied from interface: `JVMFactoryRemote`
      Registers external JVM with the factory. This method is called by the external JVM process when it's initialized.
      Specified by:
        `registerJVM` in interface `JVMFactoryRemote`
      Parameters:
        `$param_String_1` - application name
        `$param_JVMProcessRemote_2` - JVMProcessRemote
      Throws:
        `java.lang.Exception`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.